=== debian/changelog ===
faust2pd (2.15-2) xenial; urgency=medium

  * Missing -fPIC flag (batch compilation)

 -- Albert Graef <aggraef@gmail.com>  Mon, 09 Jan 2017 09:26:36 +0100

faust2pd (2.15-1) xenial; urgency=medium

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Sun, 01 Jan 2017 11:58:17 +0100

faust2pd (2.13-1) xenial; urgency=medium

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 05 Jul 2016 21:06:22 +0200

faust2pd (2.12-2) xenial; urgency=medium

  * Latest upstream fixes

 -- Albert Graef <aggraef@gmail.com>  Sun, 05 Jun 2016 20:10:46 +0200

faust2pd (2.12-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 06 Nov 2014 18:22:14 +0100

faust2pd (2.11-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 04 Nov 2014 01:21:04 +0100

faust2pd (2.10-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 04 Nov 2014 00:06:37 +0100

faust2pd (2.9-2) trusty; urgency=low

  * Latest upstream fixes

 -- Albert Graef <aggraef@gmail.com>  Tue, 28 Oct 2014 23:55:07 +0100

faust2pd (2.9-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Tue, 23 Sep 2014 07:04:59 +0200

faust2pd (2.8-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:31:36 +0200

faust2pd (2.7-2) trusty; urgency=low

  * Pass the -mcpu=generic option to llc when batch-compiling Pure
    scripts, to prevent illegal instructions depending on the build host's
    cpu type.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 09:53:18 +0200

faust2pd (2.7-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Sat, 13 Sep 2014 23:08:45 +0200

faust2pd (2.5-3) natty; urgency=low

  * Dependency fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 01:00:28 +0200

faust2pd (2.5-2) natty; urgency=low

  * Add missing build dependency llvm

 -- Albert Graef <Dr.Graef@t-online.de>  Fri, 25 May 2012 07:46:14 +0200

faust2pd (2.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Thu, 24 May 2012 21:36:49 +0200
