=== debian/control ===
Source: faust2pd
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, pure-xml, puredata, faust|faust2
Standards-Version: 3.9.5
Homepage: http://purelang.bitbucket.org

Package: faust2pd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, pure-xml
Description: Generate Pd GUI abstractions from Faust programs
 faust2pd is a little utility to generate "graph-on-parent" GUI abstractions
 from programs written in Faust, Grame's functional signal processing
 language. This makes it easier to use Faust signal processing units with
 Miller Puckette's Pure Data (Pd).

Package: faust2pd-extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generate Pd GUI abstractions from Faust programs
 faust2pd is a little utility to generate "graph-on-parent" GUI abstractions
 from programs written in Faust, Grame's functional signal processing
 language. This makes it easier to use Faust signal processing units with
 Miller Puckette's Pure Data (Pd).
 .
 This package contains some helper abstractions to be used with Pd, and a
 collection of faust2pd examples.
